=== debian/control ===
Source: ros-one-usb-cam
Section: misc
Priority: optional
Maintainer: Andrey Vukolov <andrey.vukolov@elettra.eu>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, libv4l-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-cv-bridge, ros-one-image-transport, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs
Homepage: http://wiki.ros.org/usb_cam
Standards-Version: 3.9.2

Package: ros-one-usb-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, libv4l-dev, ros-one-camera-info-manager, ros-one-cv-bridge, ros-one-image-transport, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs
Description: A ROS Driver for V4L USB Cameras
