## ros-one-usb-cam 0.3.7-22jammy.20260221.0020

=== debian/changelog ===
ros-one-usb-cam (0.3.7-22jammy.20260221.0020) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Andrey Vukolov <andrey.vukolov@elettra.eu>  Sat, 21 Feb 2026 00:20:41 +0000
