## ros-one-usb-cam 0.3.7-22noble.20260221.0048

=== debian/changelog ===
ros-one-usb-cam (0.3.7-22noble.20260221.0048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Andrey Vukolov <andrey.vukolov@elettra.eu>  Sat, 21 Feb 2026 00:48:06 +0000
